VERSION 5.00
Begin VB.UserControl ctlAPtaskbar 
   ClientHeight    =   2970
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4935
   Picture         =   "ctlAPtaskbar.ctx":0000
   ScaleHeight     =   2970
   ScaleWidth      =   4935
   Begin VB.Menu mnuMain 
      Caption         =   "Main"
      Begin VB.Menu mnuCloseiCOM 
         Caption         =   "Close iCOM"
      End
      Begin VB.Menu sep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuShowiCOM 
         Caption         =   "Show iCOM"
      End
      Begin VB.Menu sep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuCancel 
         Caption         =   "Cancel"
      End
   End
End
Attribute VB_Name = "ctlAPtaskbar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Private Enum NIM_CONSTANTS
    NIM_ADD = &H0
    NIM_MODIFY = &H1
    NIM_DELETE = &H2
End Enum

Private Enum NIF_CONSTANTS
    NIF_MESSAGE = &H1
    NIF_ICON = &H2
    NIF_TIP = &H4
End Enum

Private Enum WM_CONSTANTS
    WM_MOUSEMOVE = &H200
    WM_LBUTTONDBLCLK = &H203
    WM_LBUTTONDOWN = &H201
    WM_LBUTTONUP = &H202
    WM_RBUTTONDBLCLK = &H206
    WM_RBUTTONDOWN = &H204
    WM_RBUTTONUP = &H205
End Enum

Private Type NOTIFYICONDATA
        cbSize As Long
        hWnd As Long
        uID As Long
        uFlags As Long
        uCallbackMessage As Long
        hIcon As Long
        szTip As String * 64
End Type

Private Declare Function Shell_NotifyIcon Lib "shell32" Alias "Shell_NotifyIconA" (ByVal dwMessage As NIM_CONSTANTS, pnid As NOTIFYICONDATA) As Boolean

Dim taskBarIcon As NOTIFYICONDATA
Dim ToolTipText As String
Dim TBIvisible As Boolean

Private Sub UserControl_Initialize()

    On Error Resume Next
      
    taskBarIcon.cbSize = Len(taskBarIcon)
    taskBarIcon.hWnd = hWnd
    taskBarIcon.uID = vbNull
    taskBarIcon.uFlags = NIF_ICON Or NIF_TIP Or NIF_MESSAGE
    taskBarIcon.uCallbackMessage = WM_MOUSEMOVE
    Call SetTooltipText("iCOM AIM 1.0")
    Call SetIcon

End Sub

Public Sub SetTooltipText(ByVal NewToolTipText As String)

    On Error Resume Next
    
    taskBarIcon.szTip = NewToolTipText & Chr(0)
    If TBIvisible = True Then Shell_NotifyIcon NIM_MODIFY, taskBarIcon
    
End Sub

Public Sub SetIcon()

    On Error Resume Next
    
    taskBarIcon.hIcon = Picture.Handle
    If TBIvisible = True Then Shell_NotifyIcon NIM_MODIFY, taskBarIcon
    
End Sub

Public Sub ShowTBI()

    On Error Resume Next
    
    If TBIvisible = False Then
        Shell_NotifyIcon NIM_ADD, taskBarIcon
        TBIvisible = True
    End If
    
End Sub

Public Sub HideTBI()

    On Error Resume Next
    
    If TBIvisible = True Then
        Shell_NotifyIcon NIM_DELETE, taskBarIcon
        TBIvisible = False
    End If
    
End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

    On Error Resume Next
    
    If Hex(X) = "1E3C" Then ' 1E0F is left click
        PopupMenu mnuMain
    End If

End Sub

Private Sub UserControl_Resize()

    On Error Resume Next
    
    Width = 480
    Height = 480
    
End Sub

Private Sub mnuCloseiCOM_Click()
    
    Dim Confirm As String
    
    Confirm = MsgBox("Are you sure you would like to close iCOM?", vbYesNo, "Close iCOM?")
    
    If Confirm = vbYes Then
        
        HideTBI
        
        End
        
    Else
    
        Exit Sub
        
    End If
    
End Sub

Private Sub mnuShowiCOM_Click()
    
    frmMain.Show
    
End Sub
