VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "iConverts"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private Data(9, 3) As String, lCoin(1 To 25) As Long, sRome(1 To 25) As String

Private Sub Class_Initialize()
    
    'Text
    Data$(0, 0) = "one": Data$(1, 0) = "two": Data$(2, 0) = "three"
    Data$(3, 0) = "four": Data$(4, 0) = "five": Data$(5, 0) = "six"
    Data$(6, 0) = "seven": Data$(7, 0) = "eight": Data$(8, 0) = "nine"
    Data$(9, 0) = "ten"
    Data$(0, 1) = "hundred": Data$(1, 1) = "ten": Data$(2, 1) = "twenty"
    Data$(3, 1) = "thirty": Data$(4, 1) = "fourty": Data$(5, 1) = "fifty"
    Data$(6, 1) = "sixty": Data$(7, 1) = "seventy": Data$(8, 1) = "eighty"
    Data$(9, 1) = "ninety"
    Data$(0, 3) = "ten": Data$(1, 3) = "eleven": Data$(2, 3) = "twelve"
    Data$(3, 3) = "thirteen": Data$(4, 3) = "fourteen": Data$(5, 3) = "fifteen"
    Data$(6, 3) = "sixteen": Data$(7, 3) = "seventeen": Data$(8, 3) = "eighteen"
    Data$(9, 3) = "nineteen"
    
    'Roman numerals
    lCoin&(1) = 1: sRome$(1) = "I"
    lCoin&(2) = 4: sRome$(2) = "IV"
    lCoin&(3) = 5: sRome$(3) = "V"
    lCoin&(4) = 9: sRome$(4) = "IX"
    lCoin&(5) = 10: sRome$(5) = "X"
    lCoin&(6) = 40: sRome$(6) = "XL"
    lCoin&(7) = 50: sRome$(7) = "L"
    lCoin&(8) = 90: sRome$(8) = "XC"
    lCoin&(9) = 100: sRome$(9) = "C"
    lCoin&(10) = 400: sRome$(10) = "CD"
    lCoin&(11) = 500: sRome$(11) = "D"
    lCoin&(12) = 900: sRome$(12) = "CM"
    lCoin&(13) = 1000: sRome$(13) = "M"
    lCoin&(14) = 4000: sRome$(14) = "MV"
    lCoin&(15) = 5000: sRome$(15) = "V"
    lCoin&(16) = 9000: sRome$(16) = "MX"
    lCoin&(17) = 10000: sRome$(17) = "X"
    lCoin&(18) = 40000: sRome$(18) = "XL"
    lCoin&(19) = 50000: sRome$(19) = "L"
    lCoin&(20) = 90000: sRome$(20) = "XC"
    lCoin&(21) = 100000: sRome$(21) = "C"
    lCoin&(22) = 400000: sRome$(22) = "CD"
    lCoin&(23) = 500000: sRome$(23) = "D"
    lCoin&(24) = 900000: sRome$(24) = "CM"
    lCoin&(25) = 1000000: sRome$(25) = "M"
    
End Sub

Public Function ToWords(NumberStr As String) As String
    
    Dim z As String, x As String, Temp As String, c As String, a As Integer, b As Integer, i As Integer
    
    'remove redundant spaces
    NumberStr$ = Trim(NumberStr$)
    
    a% = Len(NumberStr$)
    
    Temp$ = NumberStr$
    
    If Val(NumberStr$) = 0 Then
        
        ToWords$ = "zero!"
        
        Exit Function
    
    End If
    
    While ((a% Mod 3) <> 0)
        
        Temp$ = "0" & Temp$
        
        a% = Len(Temp$)
    
    Wend
    
    NumberStr$ = Temp$
    
    For i% = a% - 2 To 1 Step -3
    
        b% = b% + 1
        
        Temp$ = Mid$(NumberStr$, i%, 3)
        
        z$ = vbNullString

        If Temp$ <> "000" Then
        
            c$ = Left$(Temp$, 1)
            
            If c$ <> "0" Then z$ = " " & Data$(Val(c$) - 1, 0) & " hundred"
            
            c$ = Mid$(Temp$, 2, 1)
            
            If c$ <> "0" Then
                
                If c$ <> "1" Then
                    
                    z$ = z$ & " " & Data$(Val(c$), 1)
                
                Else
                    
                    z$ = z$ & " " & Data$(Val(Right$(Temp$, 2)) - 10, 3)
                
                End If
            
            End If
            
            If Right$(Temp$, 1) <> "0" And Mid$(Temp$, 2, 1) <> "1" Then z$ = z$ & " " & Data$(Val(Right$(Temp$, 1)) - 1, 0)
        
        End If

        If z$ <> vbNullString Then
            
            Select Case b%
                
                Case 1:
                    
                    x$ = z$
                
                Case 2:
                    
                    x$ = z$ & " thousand" & x$
                
                Case 3:
                    
                    x$ = z$ & " million" & x$
                
                Case 4:
                    
                    x$ = z$ & " billion" & x$
                
                Case 5:
                    
                    x$ = z$ & " trillion" & x$
                
                Case Else:
                    
                    Exit Function
            
            End Select
        
        End If
    
    Next
    
    ToWords$ = x$
    
End Function

Public Function ToRoman(NumberStr As String) As String

    Dim i As Integer, lValue As Long, sRoman As String, sExtra As String, sUnder As String

    sExtra$ = vbNullString
    
    sRoman$ = vbNullString
    
    sUnder$ = "_"
    
    lValue& = Val(NumberStr$)
    
    If lValue& > 0 Then
        
        For i% = 25 To 1 Step -1
            
            Do
                
                If lValue& >= lCoin&(i%) Then
                    
                    lValue& = lValue& - lCoin&(i%)
                    
                    sRoman$ = sRoman$ + sRome$(i%)
                    
                    If i% > 13 Then
                        
                        sExtra$ = sExtra$ + sUnder$
                        
                        Else
                        
                        If i% = 1 Or i% = 3 Or i% = 5 Or i% = 7 Or i% = 9 Or i% = 11 Or i% = 13 Or i% = 15 Or i% = 17 Or i% = 19 Or i% = 21 Or i% = 23 Or i% = 25 Then
                            
                            sExtra$ = sExtra$ + " "
                            
                            Else
                            
                            sExtra$ = sExtra$ + "  "
                        
                        End If
                    
                    End If
                
                End If
            
            Loop Until lValue& < lCoin&(i%)
        
        Next i%
        
        ToRoman$ = sRoman$
    
    End If
    
End Function

